> For the complete documentation index, see [llms.txt](https://docs.myipr.io/myipr-open-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.myipr.io/myipr-open-api/api-guides/api-reference.md).

# API Reference

- [Get all categories](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-all-categories.md): Use this API to list all active categories available on the MyIPR App to create a certificate.
- [Get all files](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-all-files.md): This API will result a paginated response (limit 30) of the list of certificates created under your account.
- [Create Certificate](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/create-certificate.md): The MyIPR app's Certificate API provides a secure and efficient way to register and certify assets directly within the app.
- [Get file versions](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-file-versions.md): This API serves as a valuable resource for obtaining a complete overview of the versions associated with a given file within the MyIPR system.
- [Get version details](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-version-details.md): Gain real-time insights into the progress and status of the version, ensuring a transparent and informed monitoring experience throughout the certification journey.
- [Get version certificate](https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-version-certificate.md): Seamlessly access the certificate file in PDF format, contributing to a secure and time-sensitive certification retrieval process.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.myipr.io/myipr-open-api/api-guides/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
